curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
OAuth 和 MCP 协议
获取 OpenID Connect 发现元数据
查询当前环境的身份端点、支持的权限范围、声明和 ID 令牌签名算法。
GET
/
.well-known
/
openid-configuration
curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
查询当前环境的身份端点、支持的权限范围、声明和 ID 令牌签名算法。
GET https://api.voicecheap.ai/.well-known/openid-configuration
身份验证
无。请求示例
请遵循此路由文档规定的编码和身份验证方式。操作 API 的封装格式和幂等性规则仅适用于操作调用。curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
响应
查询当前环境的身份端点、支持的权限范围、声明和 ID 令牌签名算法。HTTP 200
{
"issuer": "https://api.voicecheap.ai",
"authorization_endpoint": "https://api.voicecheap.ai/oauth/authorize",
"token_endpoint": "https://api.voicecheap.ai/oauth/token",
"registration_endpoint": "https://api.voicecheap.ai/oauth/register",
"revocation_endpoint": "https://api.voicecheap.ai/oauth/revoke",
"userinfo_endpoint": "https://api.voicecheap.ai/oauth/userinfo",
"jwks_uri": "https://api.voicecheap.ai/oauth/jwks",
"response_types_supported": ["code"],
"response_modes_supported": ["query"],
"grant_types_supported": ["authorization_code", "refresh_token"],
"subject_types_supported": ["public"],
"id_token_signing_alg_values_supported": ["RS256"],
"token_endpoint_auth_methods_supported": ["none"],
"code_challenge_methods_supported": ["S256"],
"scopes_supported": [
"account:read",
"usage:read",
"settings:read",
"settings:write",
"team:read",
"team:write",
"projects:read",
"projects:write",
"projects:delete",
"translations:write",
"transcription:read",
"transcription:write",
"subtitles:read",
"subtitles:write",
"tts:read",
"tts:write",
"voices:read",
"voices:write",
"images:read",
"images:write",
"thumbnails:read",
"thumbnails:write",
"folders:read",
"folders:write",
"glossary:read",
"glossary:write",
"webhooks:read",
"webhooks:write",
"publishing:read",
"publishing:write",
"openid",
"email",
"offline_access"
],
"claims_supported": ["sub", "iss", "aud", "iat", "exp", "nonce", "email", "email_verified"],
"authorization_response_iss_parameter_supported": true,
"client_id_metadata_document_supported": true
}
响应头
{
"Cache-Control": "no-store"
}
操作说明
- 当前环境不提供身份集成时,OpenID Connect 端点会返回 HTTP 404。依赖身份功能之前,请先检查发现元数据。
- openid 和 email 是独立于产品权限的身份权限,仅在公布支持时接受。email 需要 openid。在首次授权时,仅包含身份权限的请求会使用同意页面显示的默认产品权限。
错误
| HTTP 状态 | 代码 | 含义或恢复方式 |
|---|---|---|
| 404 | Not Found | 当前环境不提供身份集成时,OpenID Connect 端点会返回 HTTP 404。依赖身份功能之前,请先检查发现元数据。 |
此页面对您有帮助吗?

